# !/bin/sh
# download .deb from here:
# http://kernel.ubuntu.com/~kernel-ppa/mainline/v2.6.31-rc6/
#
#KERNEL_DOWN='/root/Downloads/kernel-2.6.31-rc6'
KERNEL_DOWN='/var/cache/apt/archives'
sudo mkdir -vp $KERNEL_DOWN
#sudo chmod 755 -v $KERNEL_DOWN
# ++++++++++++++++++++
# step 1: download .deb 
# ++++++++++++++++++++
# file 1 i386
sudo wget -c http://kernel.ubuntu.com/~kernel-ppa/mainline/v2.6.31-rc6/linux-image-2.6.31-020631rc6-generic_2.6.31-020631rc6_i386.deb  -O $KERNEL_DOWN/linux-image-2.6.31-020631rc6-generic_2.6.31-020631rc6_i386.deb
#
# file 1 amd64
#sudo wget -c http://kernel.ubuntu.com/~kernel-ppa/mainline/v2.6.31-rc6/linux-image-2.6.31-020631rc6-generic_2.6.31-020631rc6_amd64.deb  -O $KERNEL_DOWN/linux-image-2.6.31-020631rc6-generic_2.6.31-020631rc6_amd64.deb

# file 2
sudo wget -c http://kernel.ubuntu.com/~kernel-ppa/mainline/v2.6.31-rc6/linux-source-2.6.31_2.6.31-020631rc6_all.deb  -O $KERNEL_DOWN/linux-source-2.6.31_2.6.31-020631rc6_all.deb
#
# file 3
sudo wget -c http://kernel.ubuntu.com/~kernel-ppa/mainline/v2.6.31-rc6/linux-headers-2.6.31-020631rc6_2.6.31-020631rc6_all.deb  -O $KERNEL_DOWN/linux-headers-2.6.31-020631rc6_2.6.31-020631rc6_all.deb
#
# file 4 i386
sudo wget -c http://kernel.ubuntu.com/~kernel-ppa/mainline/v2.6.31-rc6/linux-headers-2.6.31-020631rc6-generic_2.6.31-020631rc6_i386.deb  -O $KERNEL_DOWN/linux-headers-2.6.31-020631rc6-generic_2.6.31-020631rc6_i386.deb
#
# file 4 amd64
#sudo wget -c http://kernel.ubuntu.com/~kernel-ppa/mainline/v2.6.31-rc6/linux-headers-2.6.31-020631rc6-generic_2.6.31-020631rc6_amd64.deb  -O $KERNEL_DOWN/linux-headers-2.6.31-020631rc6-generic_2.6.31-020631rc6_amd64.deb
#
# file 5 i386
sudo wget -c http://mirrors.163.com/ubuntu/pool/main/w/wireless-crda/wireless-crda_1.7_i386.deb  -O $KERNEL_DOWN/wireless-crda_1.7_i386.deb
#
# file 5 amd64
#sudo wget -c http://mirrors.163.com/ubuntu/pool/main/w/wireless-crda/wireless-crda_1.7_amd64.deb  -O $KERNEL_DOWN/wireless-crda_1.7_amd64.deb
#
# -----------------
#
# file 
#sudo wget -c http://kernel.ubuntu.com/~kernel-ppa/mainline/v2.6.31-rc6/  -O $KERNEL_DOWN/
#
# ++++++++++++++++++++
# step 2: install with dpkg -i xxx.deb 
# ++++++++++++++++++++
#
sudo cd $KERNEL_DOWN
#
# for i386
sudo dpkg -i linux-image-2.6.31-020631rc6-generic_2.6.31-020631rc6_i386.deb linux-source-2.6.31_2.6.31-020631rc6_all.deb linux-headers-2.6.31-020631rc6_2.6.31-020631rc6_all.deb linux-headers-2.6.31-020631rc6-generic_2.6.31-020631rc6_i386.deb wireless-crda_1.7_i386.deb
#
# for amd64
#sudo dpkg -i linux-image-2.6.31-020631rc6-generic_2.6.31-020631rc6_amd64.deb linux-source-2.6.31_2.6.31-020631rc6_all.deb linux-headers-2.6.31-020631rc6_2.6.31-020631rc6_all.deb linux-headers-2.6.31-020631rc6-generic_2.6.31-020631rc6_amd64.deb wireless-crda_1.7_amd64.deb
#
# ++++++++++++++++++++
# part 3: all .deb files on  http://kernel.ubuntu.com/~kernel-ppa/mainline/v2.6.31-rc6/
# ++++++++++++++++++++
#
#[ ]	BUILD.LOG	14-Aug-2009 11:24 	1.9M
#[ ]	CHANGES	14-Aug-2009 10:00 	38K
#[ ]	linux-headers-2.6.31-020631rc6-generic_2.6.31-020631rc6_amd64.deb	14-Aug-2009 10:43 	598K
#[ ]	linux-headers-2.6.31-020631rc6-generic_2.6.31-020631rc6_i386.deb	14-Aug-2009 11:24 	580K
#[ ]	linux-headers-2.6.31-020631rc6_2.6.31-020631rc6_all.deb	14-Aug-2009 10:04 	9.1M
#[ ]	linux-image-2.6.31-020631rc6-generic_2.6.31-020631rc6_amd64.deb	14-Aug-2009 10:43 	21M
#[ ]	linux-image-2.6.31-020631rc6-generic_2.6.31-020631rc6_i386.deb	14-Aug-2009 11:24 	22M
#[ ]	linux-source-2.6.31_2.6.31-020631rc6_all.deb	14-Aug-2009 10:04 	59M
# -----------------

